We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/domains/{site_domain_id}/verification-records \
--header 'Authorization: Bearer <token>'{
"site_domain": {
"verification_records": [
{
"name": "_acme-challenge.staging.example-site.io",
"value": "staging.example-site.io.kinstavalidation.app",
"type": "CNAME"
}
],
"pointing_records": [
{
"name": "staging.example-site.io",
"value": "192.0.2.10",
"type": "A"
},
{
"name": "www",
"value": "staging.example-site.io",
"type": "CNAME"
}
]
}
}curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/domains/{site_domain_id}/verification-records \
--header 'Authorization: Bearer <token>'{
"site_domain": {
"verification_records": [
{
"name": "_acme-challenge.staging.example-site.io",
"value": "staging.example-site.io.kinstavalidation.app",
"type": "CNAME"
}
],
"pointing_records": [
{
"name": "staging.example-site.io",
"value": "192.0.2.10",
"type": "A"
},
{
"name": "www",
"value": "staging.example-site.io",
"type": "CNAME"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Response object of verification and pointing records requests
Show child attributes